%define upstream_name    Params-ValidationCompiler
%define upstream_version 0.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Defines exceptions thrown by Params::ValidationCompiler
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Params/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(List::Util) >= 1.290.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Specio) >= 0.140.0
BuildRequires: perl(Test2::Plugin::NoWarnings)
BuildRequires: perl(Test2::Require::Module)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::More) >= 1.302.15
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module creates a customized, highly efficient parameter checking
subroutine. It can handle named or positional parameters, and can return
the parameters as key/value pairs or a list of values.

In addition to type checks, it also supports parameter defaults, optional
parameters, and extra "slurpy" parameters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
true #make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.310.0-2.mga10
+ Revision: 2217250
- Mageia 10 Mass Rebuild

* Mon Jan 09 2023 tv <tv> 0.310.0-1.mga9
+ Revision: 1931790
- update to 0.31

* Tue Mar 22 2022 umeabot <umeabot> 0.300.0-4.mga9
+ Revision: 1818974
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-3.mga8
+ Revision: 1505877
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.300.0-2.mga7
+ Revision: 1285487
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 0.300.0-1.mga7
+ Revision: 1246513
- update to 0.30

* Thu Feb 15 2018 tv <tv> 0.270.0-1.mga7
+ Revision: 1201419
- update to 0.27

* Thu Nov 30 2017 tv <tv> 0.260.0-1.mga7
+ Revision: 1180484
- update to 0.26

* Fri Nov 24 2017 tv <tv> 0.250.0-1.mga7
+ Revision: 1179059
- update to 0.25

* Sat Jul 22 2017 shlomif <shlomif> 0.240.0-1.mga7
+ Revision: 1128133
- modernize spec
- Import from cpan2dist


* Fri Jul 21 2017 cpan2dist 0.24-1mga
- initial mageia release, generated with cpan2dist
